Page MenuHomePhabricator

Client values inbound in X-analytics header (pageview and preview) are reflected in outbound X-Analytics on varnish
Closed, ResolvedPublic5 Estimated Story Points

Description

Client values (pageview and preview) inbound in X-analytics header are reflected in outbound X-Analytics on varnish

We shouldn't blindly copy it, or the client will have a chance to duplicate/suppress fields they shouldn't be able to. So we'll need to parse it in VCL and only copy through the known-good values clients are allowed to set. Thus far is only two pageview and preview. See: https://wikitech.wikimedia.org/wiki/X-Analytics

Event Timeline

Nuria created this task.Apr 20 2016, 7:40 PM
Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptApr 20 2016, 7:40 PM
Nuria triaged this task as High priority.Apr 20 2016, 7:40 PM
Nuria moved this task from Next Up to In Progress on the Analytics-Kanban board.Apr 22 2016, 4:06 PM
Nuria renamed this task from Client values inbound in X-analytics header are reflected in outbound X-Analytics on varnish to Client values inbound in X-analytics header (pageview and preview) are reflected in outbound X-Analytics on varnish .Apr 23 2016, 10:29 PM
Nuria updated the task description. (Show Details)Apr 23 2016, 10:31 PM

Change 285051 had a related patch set uploaded (by Nuria):
Read values inbound in X-Analytics header (pageview and preview)

https://gerrit.wikimedia.org/r/285051

Change 285051 merged by BBlack:
Read values inbound in X-Analytics header (pageview and preview)

https://gerrit.wikimedia.org/r/285051

Nuria moved this task from Ready to Deploy to Done on the Analytics-Kanban board.May 4 2016, 4:03 PM
Nuria set the point value for this task to 5.May 4 2016, 4:20 PM
Nuria closed this task as Resolved.May 11 2016, 2:54 PM

Confirmed these changes make expected headers appear on cluster cc @Tbayer